Bug 72916 - Precise Date and Time entry is not possible anymore since Update to 4.1
Summary: Precise Date and Time entry is not possible anymore since Update to 4.1
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.1.1.1 rc
Hardware: All All
: medium normal
Assignee: Lionel Elie Mamane
QA Contact:
URL:
Whiteboard: target:4.3.0 target:4.2.0.2 target:4.1.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-12-20 14:58 UTC by joerg_schwarze
Modified: 2013-12-24 09:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test db with timestamp (3.44 KB, application/vnd.oasis.opendocument.database)
2013-12-20 16:42 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description joerg_schwarze 2013-12-20 14:58:47 UTC
Hello!

In my Database (Base, LO 4.1.4.2 on Win7pro-64) I have a Form where to Enter Date and Time formatted like "DD.MM.YY HH:MM".

But since the last 2 Updates, SOME combinations of Date and Time cannot be entered anymore!!!

For example, if I enter

"20.12.13 10:30" it works correctly.

but if I enter

"19.12.13 13:00" that gets replaced by "19.12.13 12:59" !!!

Base just does not let me enter that Date and Time without automatically subtracting that one minute!!! That had been working for years now, but since the last 2 Updates that I made about last week, it does show this strange behaviour.

Any help is really appreciated!!
Comment 1 robert 2013-12-20 16:09:08 UTC
Can confirm this for all versions since 4.1.1.1. There had been something changed with the data-time-format at that time ... In 4.1.0.* the time was shown as 00:00.
The bug doesn't appear only with the time 13:00, but also with 1:00, 4:00, 7:00 - have ended to test there ...
Comment 2 Alex Thurgood 2013-12-20 16:31:19 UTC
@Lionel : seems like the time API changes have had an unwanted side effect...
Comment 3 Lionel Elie Mamane 2013-12-20 16:33:13 UTC
What database are you connecting to? MySQL? PostgreSQL? With which driver? ODBC? JDBC? Please attach a dump of the example database, as well as the .odb used to access it?
Comment 4 Lionel Elie Mamane 2013-12-20 16:34:32 UTC
Also, this appeared when updating from which version to which version.
Comment 5 Alex Thurgood 2013-12-20 16:40:33 UTC
Hi Lionel,

I can see it in official 4.1.3.2 on OSX with an embedded hsqldb. Sorry about the severity thing, I was in the process of resetting it.


Is this linked to the new nanosecond representation of time which doesn't get converted precisely back for java's time struct ?

Alex
Comment 6 Alex Thurgood 2013-12-20 16:41:47 UTC
Although Robert mentioned other time values for which the bug shows, so far I can only see the bug with the 13:00 and date combo provided by the initial poster.

Alex
Comment 7 Alex Thurgood 2013-12-20 16:42:41 UTC
Created attachment 91051 [details]
test db with timestamp
Comment 8 Alex Thurgood 2013-12-20 16:44:02 UTC
Note that the data doesn't have to be entered via a Form, the Table view edit mode enables one to reproduce the bug behaviour too.

Alex
Comment 9 Alex Thurgood 2013-12-20 16:46:24 UTC
Bug not present in 
Version 4.0.5.2 (Build ID: 5464147a081647a250913f19c0715bca595af2f)

Alex
Comment 10 Lionel Elie Mamane 2013-12-20 16:49:04 UTC
OK, reproduced with the attached example. Will try to take a look at it.
Comment 11 Commit Notification 2013-12-21 15:50:30 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5ce8c77a0b2dca2ab5a3564feed1cd3b8104eaa

fdo#72916 correct rounding of time part of DateTime



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-12-24 00:02:19 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d2928f81ed1a58eac9f90382dcfe73ea8c482ed6&h=libreoffice-4-2

fdo#72916 correct rounding of time part of DateTime


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-12-24 09:12:49 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=56381a9b28dbe4caf6e3d0a92dfddcddcebe3494&h=libreoffice-4-1

fdo#72916 correct rounding of time part of DateTime


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.